%global pkgvers 0
%global scdate0 20240416
%global schash0 b9a5d8048780102b3713c979baa08d88ca4cb3ab
%global branch0 main
%global source0 https://github.com/numba/numba.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           numba
Version:        0.60.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        NumPy aware dynamic Python compiler using LLVM
License:        Apache

URL:            https://numba.pydata.org

BuildRequires:  doxygen cmake gcc-c++ git python3-devel
BuildRequires:  llvm-devel python3-setuptools python3-numpy
Requires:       numba-python3

%global _python_dist_allow_version_zero 1

%description
NumPy aware dynamic Python compiler using LLVM

%package        python3
Summary:        Python files for numba
Requires:       llvmlite-python3
Requires:       %{name} = %{version}-%{release}

%description    python3
This package contains python files for numba.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
# llvmlite any version
sed -i "s|'llvmlite >=.*|'llvmlite',|" setup.py
# python version
sed -i "s|python_version = \"3.8\"|python_version = \"3.5\"|" setup.py
sed -i "s|python_version = \"3.12\"|python_version = \"3.13\"|" setup.py
for f in $(find . -name "*.c" -o -name "*.cpp"); do
  sed -i '/#error "Python minor version is not supported."/d' $f
done

export NUMBA_DISABLE_TBB=1
%{__python3} setup.py build


%install
export NUMBA_DISABLE_TBB=1
%{__python3} setup.py install --root %{buildroot}


%files
%doc README.rst
%license LICENSE
%{_bindir}/*

%files python3
%defattr(-,root,root,-)
%{python3_sitearch}/*


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github upstream releases
